﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            SeriesData seriesData1 = this.Resources["SeriesData1"] as SeriesData;

            Rectangle rect1 = new Rectangle();
            rect1.Fill = new SolidColorBrush(Colors.Red);
            rect1.Width = 12;
            rect1.Height = 12;

            seriesData1.ImageSource.Render(rect1, new TranslateTransform());
            seriesData1.ImageSource.Invalidate();

            SeriesData seriesData2 = this.Resources["SeriesData2"] as SeriesData;

            Rectangle rect2 = new Rectangle();
            rect2.Fill = new SolidColorBrush(Colors.Blue);
            rect2.Width = 12;
            rect2.Height = 12;

            seriesData2.ImageSource.Render(rect2, new TranslateTransform());
            seriesData2.ImageSource.Invalidate();
        }
    }

    public class SeriesData
    {
        public SeriesData()
        {
            this.ImageSource = new WriteableBitmap(12, 12);
        }

        public WriteableBitmap ImageSource { get; set; }
    }
}
